services:
    - type: web
      runtime: image
      image:
          url: ghcr.io/ever-co/gauzy-api-demo:latest
      plan: pro
      name: ever-gauzy-api
      envVars:
          - key: API_HOST
            value: 0.0.0.0
          - key: API_PORT
            value: 3000
          - key: DEMO
            value: false
          - key: NODE_ENV
            value: development
          - key: ADMIN_PASSWORD_RESET
            value: true
          - key: LOG_LEVEL
            value: info
          - key: SENTRY_DSN
            value: https://7cd381188b6f446ca0e69185227b9031@o51327.ingest.sentry.io/4397292
          - key: SENTRY_HTTP_TRACING_ENABLED
            value: false
          - key: SENTRY_PROFILING_ENABLED
            value: false
          - key: API_BASE_URL
            value: https://ever-gauzy-api.onrender.com
          - key: CLIENT_BASE_URL
            value: https://ever-gauzy-webapp.onrender.com
          - key: EXPRESS_SESSION_SECRET
            value: gauzy
          - key: JWT_SECRET
            value: secretKey
          - key: JWT_REFRESH_TOKEN_SECRET
            value: refreshSecretKey
          - key: JWT_REFRESH_TOKEN_EXPIRATION_TIME
            value: 86400
      healthCheckPath: /api/health

    - type: web
      name: ever-gauzy-webapp
      runtime: image
      plan: standard
      image:
          url: ghcr.io/ever-co/gauzy-webapp-demo:latest
      envVars:
          - key: DEMO
            value: false
          - key: CHATWOOT_SDK_TOKEN
            value: jFoSXEjGmqhUhqU3zfgkFfMt
          - key: CLOUDINARY_API_KEY
            value: 256868982483961
          - key: SENTRY_DSN
            value: https://7cd381188b6f446ca0e69185227b9031@o51327.ingest.sentry.io/4397292
          - key: CLOUDINARY_CLOUD_NAME
            value: dv6ezkfxg
          - key: API_BASE_URL
            value: https://ever-gauzy-api.onrender.com
          - key: CLIENT_BASE_URL
            value: https://ever-gauzy-webapp.onrender.com
          - key: GOOGLE_MAPS_API_KEY
            value: AIzaSyCJmnKzgTSq5Pc93HXar5bZrdmANTwtSIo
          - key: GOOGLE_PLACE_AUTOCOMPLETE
            value: true
          - key: DEFAULT_LATITUDE
            value: 42.6459136
          - key: DEFAULT_LONGITUDE
            value: 23.3332736
          - key: DEFAULT_CURRENCY
            value: USD
      healthCheckPath: /
